#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF9,0xBE,0x30,0xDE,0x51,0xCF,0xAD,0x3E,0x47,0x54,0x83,0xF1,
		0x26,0xD9,0x8E,0x14,0x6B,0x9E,0x7D,0x8C,0xE3,0xF1,0x6D,0xF0,
		0xC0,0x6D,0xDE,0x79,0x5B,0x7A,0xE7,0xFF,0xB3,0x42,0xE1,0x33,
		0xB1,0x13,0xC5,0xFB,0x6B,0xDA,0x47,0x3C,0x5E,0x60,0xF5,0x7B,
		0xFE,0xA7,0xB6,0x6A,0x13,0x6F,0x25,0x2F,0x7B,0x20,0x50,0xD3,
		0x5C,0x5C,0x74,0xDB,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
